Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Class MouseAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.MouseAction

All Implemented Interfaces:
  EventListener, MouseListener

public class MouseAction
extends AbstractAction
implements MouseListener

Actionimplementierung fuer MouseEvents.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`MouseAction()`

Method Summary
`void` | `doMouseClicked(MouseEvent me)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doMouseEntered(MouseEvent me)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doMouseExited(MouseEvent me)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doMousePressed(MouseEvent me)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doMouseReleased(MouseEvent me)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `mouseClicked(MouseEvent me)`
`void` | `mouseEntered(MouseEvent me)`
`void` | `mouseExited(MouseEvent me)`
`void` | `mousePressed(MouseEvent me)`
`void` | `mouseReleased(MouseEvent me)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MouseAction

    public MouseAction()

Method Detail

### mouseClicked

    public void mouseClicked(MouseEvent me)

  Specified by:
    `mouseClicked` in interface `MouseListener`

### doMouseClicked

    public void doMouseClicked(MouseEvent me)
                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `me` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### mousePressed

    public void mousePressed(MouseEvent me)

  Specified by:
    `mousePressed` in interface `MouseListener`

### doMousePressed

    public void doMousePressed(MouseEvent me)
                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `me` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### mouseReleased

    public void mouseReleased(MouseEvent me)

  Specified by:
    `mouseReleased` in interface `MouseListener`

### doMouseReleased

    public void doMouseReleased(MouseEvent me)
                         throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `me` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### mouseEntered

    public void mouseEntered(MouseEvent me)

  Specified by:
    `mouseEntered` in interface `MouseListener`

### doMouseEntered

    public void doMouseEntered(MouseEvent me)
                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `me` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### mouseExited

    public void mouseExited(MouseEvent me)

  Specified by:
    `mouseExited` in interface `MouseListener`

### doMouseExited

    public void doMouseExited(MouseEvent me)
                       throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `me` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD